package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF8E5 extends MwfRequest<MWF8E5, MWF8E5Response> {

    @Parameter(name = "AddressCity")
    MWF8E5 addressCity(String addressCity);
    @Parameter(name = "AddressCountry")
    MWF8E5 addressCountry(String addressCountry);
    @Parameter(name = "AddressStreet")
    MWF8E5 addressStreet(String addressStreet);
    @Parameter(name = "AddressStreetDescriptionNumber")
    MWF8E5 addressStreetDescriptionNumber(String addressStreetDescriptionNumber);
    @Parameter(name = "AddressStreetOrientNumber")
    MWF8E5 addressStreetOrientNumber(String addressStreetOrientNumber);
    @Parameter(name = "AddressZipCode")
    MWF8E5 addressZipCode(String addressZipCode);
    @Parameter(name = "InstPtKey")
    MWF8E5 instPtKey(String instPtKey);
}
